From: =?utf-8?q?H=C3=A5vard_Flaget_Aasen?= <haavard_aasen@yahoo.no>
Date: Sun, 27 Dec 2020 18:39:08 +0100
Subject: drop intersphinx

Forwarded: not-needed
---
 docs/conf.py | 2 --
 1 file changed, 2 deletions(-)

--- a/docs/conf.py
+++ b/docs/conf.py
@@ -38,39 +38,37 @@
 # Add any Sphinx extension module names here, as strings. They can be
 # extensions coming with Sphinx (named 'sphinx.ext.*') or custom ones.
 extensions = [
-    'sphinx.ext.autodoc',
-    'sphinx.ext.autosectionlabel',
-    'sphinx.ext.coverage',
-    'sphinx.ext.doctest',
-    'sphinx.ext.extlinks',
-    'sphinx.ext.intersphinx',
-    'sphinx.ext.viewcode',
+    "sphinx.ext.autodoc",
+    "sphinx.ext.autosectionlabel",
+    "sphinx.ext.coverage",
+    "sphinx.ext.doctest",
+    "sphinx.ext.extlinks",
+    "sphinx.ext.viewcode",
 ]
 try:
     import sphinx_copybutton  # noqa: F401
 except ImportError:
     pass
 else:
-    extensions.append('sphinx_copybutton')
+    extensions.append("sphinx_copybutton")
 
-intersphinx_mapping = {'python': ('https://docs.python.org/3', None)}
 
 # Add any paths that contain templates here, relative to this directory.
 # templates_path = ['_templates']
 
 # The suffix of source filenames.
-source_suffix = '.rst'
+source_suffix = ".rst"
 
 # The encoding of source files.
 # source_encoding = 'utf-8-sig'
 
 # The master toctree document.
-master_doc = 'index'
+master_doc = "index"
 
 # General information about the project.
-project = 'bidict'
-author = bidict.metadata.__author__['name']
-copyright = bidict.metadata.__copyright__.lstrip('© ')  # noqa: A001
+project = "bidict"
+author = bidict.metadata.__author__["name"]
+copyright = bidict.metadata.__copyright__.lstrip("© ")  # noqa: A001
 
 # The version info for the project you're documenting, acts as replacement for
 # |version| and |release|, also used in various other places throughout the
@@ -78,7 +76,7 @@
 # The full version, including alpha/beta/rc tags.
 release = bidict.__version__
 # The short X.Y version.
-version = '.'.join(release.split('.')[:2])
+version = ".".join(release.split(".")[:2])
 
 # The language for content autogenerated by Sphinx. Refer to documentation
 # for a list of supported languages.
@@ -92,7 +90,7 @@
 
 # List of patterns, relative to source directory, that match files and
 # directories to ignore when looking for source files.
-exclude_patterns = ['_build']
+exclude_patterns = ["_build"]
 
 # The reST default role (used for this markup: `text`) to use for all
 # documents.
@@ -113,7 +111,7 @@
 # pygments_style = 'colorful'
 
 # A list of ignored prefixes for module index sorting.
-modindex_common_prefix = ['bidict.']
+modindex_common_prefix = ["bidict."]
 
 # If true, keep warnings as "system message" paragraphs in the built documents.
 # keep_warnings = False
@@ -123,7 +121,7 @@
 
 # The theme to use for HTML and HTML Help pages.  See the documentation for
 # a list of builtin themes.
-html_theme = 'furo'
+html_theme = "furo"
 
 # Theme options are theme-specific and customize the look and feel of a theme
 # further.  For a list of options available for each theme, see the
@@ -137,7 +135,7 @@
 
 # The name for this set of Sphinx documents.  If None, it defaults to
 # "<project> v<release> documentation".
-html_title = 'bidict'
+html_title = "bidict"
 
 # A shorter title for the navigation bar.  Default is the same as html_title.
 # html_short_title = 'bidict'
@@ -149,12 +147,12 @@
 # The name of an image file (within the static path) to use as favicon of the
 # docs.  This file should be a Windows icon file (.ico) being 16x16 or 32x32
 # pixels large.
-html_favicon = '_static/favicon.ico'
+html_favicon = "_static/favicon.ico"
 
 # Add any paths that contain custom static files (such as style sheets) here,
 # relative to this directory. They are copied after the builtin static files,
 # so a file named "default.css" will overwrite the builtin "default.css".
-html_static_path = ['_static']
+html_static_path = ["_static"]
 
 # Add any extra paths that contain custom files (such as robots.txt or
 # .htaccess) here, relative to this directory. These files are copied
@@ -166,7 +164,7 @@
 
 # If not '', a 'Last updated on:' timestamp is inserted at every page bottom,
 # using the given strftime format.
-html_last_updated_fmt = '%b %d, %Y'
+html_last_updated_fmt = "%b %d, %Y"
 
 # If true, SmartyPants will be used to convert quotes and dashes to
 # typographically correct entities.
@@ -175,12 +173,12 @@
 # Custom sidebar templates, maps document names to template names.
 # https://pradyunsg.me/furo/customisation/sidebar/#using-html-sidebars
 html_sidebars = {
-    '**': [
-        'sidebar/brand.html',
-        'sidebar/search.html',
-        'sidebar/scroll-start.html',
-        'sidebar/navigation.html',
-        'sidebar/scroll-end.html',
+    "**": [
+        "sidebar/brand.html",
+        "sidebar/search.html",
+        "sidebar/scroll-start.html",
+        "sidebar/navigation.html",
+        "sidebar/scroll-end.html",
     ],
 }
 
@@ -215,45 +213,45 @@
 # html_file_suffix = None
 
 # Output file base name for HTML help builder.
-htmlhelp_basename = 'bidictdoc'
+htmlhelp_basename = "bidictdoc"
 
 
 # https://www.sphinx-doc.org/en/master/usage/extensions/extlinks.html
 extlinks = {
-    'issue': ('https://github.com/jab/bidict/issues/%s', '#%s'),
+    "issue": ("https://github.com/jab/bidict/issues/%s", "#%s"),
 }
 
 
 # Ignore urls matching these regex strings when doing "make linkcheck"
 linkcheck_ignore = [
-    r'https://codecov\.io/.*',  # gives 405 for HEAD requests
-    r'https://pypistats\.org/.*',  # unreliable
-    r'https://gitpod\.io/#.*',  # linkcheck complains about anchor links on this site
+    r"https://codecov\.io/.*",  # gives 405 for HEAD requests
+    r"https://pypistats\.org/.*",  # unreliable
+    r"https://gitpod\.io/#.*",  # linkcheck complains about anchor links on this site
     # alternative links for readers on GitHub (which don't work on readthedocs.io):
-    r'docs/learning-from-bidict\.rst',
-    r'CHANGELOG\.rst',
-    r'docs/intro\.rst',
-    r'CONTRIBUTING\.rst',
-    r'CODE_OF_CONDUCT\.rst',
+    r"docs/learning-from-bidict\.rst",
+    r"CHANGELOG\.rst",
+    r"docs/intro\.rst",
+    r"CONTRIBUTING\.rst",
+    r"CODE_OF_CONDUCT\.rst",
 ]
 linkcheck_timeout = 10  # 5s default too low
 
 nitpick_ignore_regex = [
     # work around https://github.com/sphinx-doc/sphinx/issues/10974
-    ('py:(class|obj)', r'(bidict\._typing\.)?(KT|VT|DT|Maplike|MapOrItems|MissingT)'),
-    ('py:class', r'(bidict\._base\.)?BT'),
-    ('py:class', r't\.(Any|ClassVar|MutableMapping)'),
+    ("py:(class|obj)", r"(bidict\._typing\.)?(KT|VT|DT|Maplike|MapOrItems|MissingT)"),
+    ("py:class", r"(bidict\._base\.)?BT"),
+    ("py:class", r"t\.(Any|ClassVar|MutableMapping)"),
 ]
 
 # http://www.sphinx-doc.org/en/stable/ext/autosectionlabel.html#configuration
 autosectionlabel_prefix_document = True
 
 # https://www.sphinx-doc.org/en/3.x/usage/extensions/autodoc.html#confval-autodoc_typehints
-autodoc_typehints = 'description'
+autodoc_typehints = "description"
 
 # pytest-sphinx does not support doctest_global_setup. We use conftest.py instead.
 # Ref: https://github.com/thisch/pytest-sphinx/issues/5#issuecomment-618072237
 # doctest_global_setup = """"""
 
 # https://sphinx-copybutton.readthedocs.io/en/latest/#strip-and-configure-input-prompts-for-code-cells
-copybutton_prompt_text = '>>> '
+copybutton_prompt_text = ">>> "
